CREATE TABLE joueurs (
	id integer NOT NULL,
	nom varchar NOT NULL,
	"prénom" varchar NOT NULL,
	"année" integer,
	UNIQUE (nom, "prénom"),
	PRIMARY KEY (id)
);

CREATE TABLE parties (
	id_tournoi integer NOT NULL,
	ronde integer NOT NULL,
	blancs integer NOT NULL,
	noirs integer NOT NULL,
	"résultat" varchar NOT NULL,
	elo_b integer NOT NULL,
	elo_n integer NOT NULL,
	PRIMARY KEY (id_tournoi, ronde, blancs, noirs),
	FOREIGN KEY (blancs) REFERENCES joueurs(id),
	FOREIGN KEY (noirs) REFERENCES joueurs(id),
	FOREIGN KEY (id_tournoi) REFERENCES tournois(id)
);

CREATE TABLE tournois (
	id integer NOT NULL,
	nom varchar NOT NULL,
	"année" integer NOT NULL,
	UNIQUE (nom, "année"),
	PRIMARY KEY (id)
);

.mode csv
.separator "\t"
.import joueurs.csv joueurs
.import parties.csv parties
.import tournois.csv tournois
